%define upstream_name    Test-CheckChanges
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Check that the Changes file matches the dist
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build::Compat)
BuildRequires: perl(Module::Build::Version)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Coverage)
BuildArch: noarch


%description
This module checks that you _Changes_ file has an entry for the current
version of the *Module* being tested.

The version information for the distribution being tested is taken out of
the Build data, or if that is not found, out of the Makefile.

It then attempts to open, in order, a file with the name _Changes_ or
_CHANGES_.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.140.0-13.mga10
+ Revision: 2200790
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.140.0-12.mga9
+ Revision: 1806085
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.140.0-11.mga8
+ Revision: 1497331
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.140.0-10.mga7
+ Revision: 1271654
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.140.0-9.mga6
+ Revision: 1034124
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.140.0-8.mga6
+ Revision: 971636
- Mageia 6 Mass Rebuild

* Fri Oct 16 2015 tv <tv> 0.140.0-7.mga6
+ Revision: 892180
- add more BRs for testsuite
- BR perl(Module::Build)

* Wed Oct 15 2014 umeabot <umeabot> 0.140.0-6.mga5
+ Revision: 748002
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.140.0-5.mga5
+ Revision: 686405
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.140.0-4.mga4
+ Revision: 515096
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.140.0-3.mga3
+ Revision: 373385
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.140.0-2.mga1
+ Revision: 22891
- cleaning spec file
- imported package perl-Test-CheckChanges

